<?php
/*
Plugin Name: Airtel - WooCommerce
Description: Extends WooCommerce by Adding the Pvit-Airtel money gateway
Version: 1
Author: Bako Ai
*/
//if(is_admin()){
    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
//}
//check if WC plugin is active
if ( ! in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) return;


// Include our Gateway Class and Register Payment Gateway with WooCommerce
add_action( 'plugins_loaded', 'airtelmoney_gabon_init', 0 );
function airtelmoney_gabon_init() {

    if ( ! class_exists( 'WC_Payment_Gateway' ) ) return;
    // If we made it this far, then include our Gateway Class
    include_once('airtelmoney-gabon.php');
    add_filter( 'woocommerce_payment_gateways', 'add_airtelmoney_gabon' );
	function add_airtelmoney_gabon( $methods ) {
		$methods[] = 'wc_am_gabon';
		return $methods;
	}

}



add_action( 'woocommerce_init', 'airtelmoney_gabon_add_redirect_page', 1 );
function airtelmoney_gabon_add_redirect_page() {

		if (!function_exists("the_slug_exists")) 
		{
							     function the_slug_exists($plugin_post_name)
							      {
								        global $wpdb;
								        if($wpdb->get_row("SELECT post_name FROM ".$wpdb->prefix."posts WHERE post_name LIKE '" . $plugin_post_name . "'", 'ARRAY_A'))
								         {
								            return true;
										        } else {
										            return false;
								        }
								    }

			} 

   
    // Create redirection page
    $page_slg_string = "mc-gabon-plugin-redirection-page-wait";
    $tplt_name = "Airtel.php";
    if(!the_slug_exists($page_slg_string) ){

        $blog_page_title = 'Airtel Money Redirection';
        $blog_page = array(
            'post_type' => 'page',
            'post_title' => $blog_page_title,
            'post_content' => '',
            'post_parent' => '',
            'post_status' => 'publish',
            'post_author' => 1,
            'post_name' => 'mc-gabon-plugin-redirection-page-wait',
            'page_template' => $tplt_name
        );
        $page_id = wp_insert_post($blog_page);

        update_post_meta( $page_id, '_wp_page_template', $tplt_name  );

        return $page_id;

    }


}


// Add custom action links
add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'wc_airtelmoney_gabon_action_links' );

    function wc_airtelmoney_gabon_action_links( $links ) {
        $plugin_links = array(
            '<a href="' . admin_url( 'admin.php?page=wc-settings&tab=checkout' ) . '">' . __( 'Settings', 'wc-airtelmoney-gabon' ) . '</a>',
        );
        // Merge our new link with the default ones
        return array_merge( $plugin_links, $links );
    }




